package org.ddnss.sfs.git.wdg.vokabel_trainer;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;

public class DataHandler {
    public static final String DATABASENAME = "vocabDB";
    public static final int DATABASE_VERSION = 1;

    public static final String TABLE_NAME = "vocabTable";
    public static final String DEUTSCH = "deutsch";
    public static final String ENGLISH = "english";

    private Context ctx;
    private DataBaseHelper dbHelper;
    private SQLiteDatabase db;

    public  DataHandler(Context ctx){
        this.ctx = ctx;
        dbHelper = new DataBaseHelper(ctx,DATABASENAME,null,DATABASE_VERSION);
    }

    public void openWrite(){
        db = dbHelper.getWritableDatabase();
    }

    public void openRead(){
        db = dbHelper.getReadableDatabase();
    }

    public void close(){
        dbHelper.close();
    }

    public void addEntry(String voc1, String voc2){
        db.execSQL("insert into vocabTable (deutsch, english) values ('vocab1', 'vocab2')");
    }
}
